%define version   1.0.1
%define cvsdate   20040108.122336

%define release    1%{?pretag:.%{pretag}}%{?cvsdate:.cvs}
%define tarversion %{?cvsdate:%{cvsdate}}%{!?cvsdate:%{version}%{?pretag:%{pretag}}}

Summary:       The Advanced Linux Sound Architecture (ALSA) firmware images %{?cvsdate:(CVS: %{cvsdate})}
Name:          alsa-firmware
Version:       %{version}
Release:       %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Copyright:     GPL
Group:         System/Tools
Source:        ftp://ftp.alsa-project.org/pub/lib/alsa-firmware-%{tarversion}.tar.bz2
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      alsa-tools >= %{version}
BuildRequires: alsa-lib-devel >= %{version}
Packager:      Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution:  Planet CCRMA

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes firmware for some of the supported sound cards. 
%if "%{cvsdate}" != "%{nil}"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif

%prep
%setup -q -n alsa-firmware-%{version}%{?pretag:%{pretag}}

%build
if [ -x "./cvscompile" ] ; then
    CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
fi
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/*

%changelog
* Thu Jan  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1.cvs
- cvs: 01/08/2004
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2.rc2.cvs
- cvs: 01/06/2004
* Sun Dec  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc2.cvs
- cvs: 12/07/2003
* Mon Dec  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc1.cvs
- cvs: 12/01/2003
* Thu Nov 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.pre3
- initial build
